Subject: Re: bug#7524: 24.0.50; backquote converts newlines in strings to "\n"

From: Stefan Monnier <[email-masked]>
Date: Wed, 01 Dec 2010 13:07:52 -0500

retitle 7524 Customize should wrap long lines and pretty print sexp values
severity 7524 wishlist
thanks

> See what the \n representation does, for example, with the file I sent
> to emacs-devel yesterday, thread "Variable behavior for `mouse-3'
> second click at same spot".  Here's a direct URL to the file.

> http://www.emacswiki.org/emacs/mouse3.el

> Eval the defcustom for `mouse3-region-popup-submenus', then use `M-x
> customize', and you'll see how messy (how wide) the display is.

Since the type you use is (sexp :tag "Command"), you give relatively
little information to Custom about what it can look like (not that the
type is wrong, actually).

And yes, Custom should probably try to wrap lines somehow in such cases
(e.g. pretty-print the sexp).  During the wrapping, it could convert
the \n in strings into actual LF chars.

        Stefan